aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Healy <lmiphay@gmail.com>2019-04-23 21:55:35 +0100
committerPaul Healy <lmiphay@gmail.com>2019-04-23 21:55:35 +0100
commit8c524dab1741b510a69877b8f02a56739b83eb1e (patch)
tree1b8c47b9ce274574a6600c4d8424879169620c94
parentdescribed how to add a card (diff)
downloadlmiphay-8c524dab1741b510a69877b8f02a56739b83eb1e.tar.gz
lmiphay-8c524dab1741b510a69877b8f02a56739b83eb1e.tar.bz2
lmiphay-8c524dab1741b510a69877b8f02a56739b83eb1e.zip
revbump kokua
Signed-off-by: Paul Healy <lmiphay@gmail.com>
-rw-r--r--games-simulation/kokua-bin/Manifest3
-rw-r--r--games-simulation/kokua-bin/kokua-bin-6.2.0.ebuild88
2 files changed, 91 insertions, 0 deletions
diff --git a/games-simulation/kokua-bin/Manifest b/games-simulation/kokua-bin/Manifest
index 1bf7a2c..e693f4a 100644
--- a/games-simulation/kokua-bin/Manifest
+++ b/games-simulation/kokua-bin/Manifest
@@ -1,14 +1,17 @@
AUX 71kokua-bin 34 BLAKE2B 5ae2d419810c3a15e73cb09826e266e05e958796ccd731c2ba3368518f858965d0c331d0a299adad8262d1688532d2f698d818de78eaa769ba845d091243666a SHA512 17acaf4966b5592c02a7edb9a712b100bc3ccbbaf9ea6bc62beae59be9d866f89c9f13fe99022325f73bacff96ae1144465a38a4eed1a26d9866bb924592db8c
AUX kokua 94 BLAKE2B e3d5aa7fbeb87327dcdf2180500a2f8c5ae83725f8a78f0082ac6e00266541f5a93679f9abca4ac84ad1089fc627650a78cd554d638df5d6fe3ee62ae64bd474 SHA512 43381f9806b9ab256a9488470d669404688ad74948a6bc5f3deeab602264c25ba403d2295f8b077354ba6d9850584cff67f80b0172df8da131155886c8deffd8
DIST Kokua_FTRLV_6_1_0_45241_x86_64.tar.bz2 160374371 BLAKE2B b891211b7fa349314b19f87d5440e0ba83450d4264df85579c2707c360d7bbf6edf67296d13067149394a039ffdb094bab2b3ed05a749ed6127b02a455ed3746 SHA512 a0bfe5e0c54fa18cf52d18ff594986c3c1ba98f46b2615324ba3634a30eb79411228b1117902b66795b42156d571930253af3f957771809eeb5e601252b8877a
+DIST Kokua_FTRLV_6_2_0_45420_x86_64.tar.bz2 166006239 BLAKE2B dffa27a80ad9eee834a68c31857e9582d2f5bc5721f95674933ae0e35b32a43b6f47e70f1a88cd92652a09507ef796f646581d7ca5e35af9d7323eee4750dba9 SHA512 2195b160eb04972bc9966caedbd46a92f86175796bf4b5576c2d514ff7927be875040386c6a07b8a34852d15b71421fcc3045b14223cb2bfd34925251557913b
DIST Kokua_RLV_6_0_1_44619_x86_64.tar.bz2 152444221 BLAKE2B 28f32a850f5fbc6b0dcc81ffed6b62e61148b34f5b1e52bfd19da7b7cf5bdc1c1bc1f5663b3230df51d686e99dfaafb90220aad1519491a3202213f4cb3ca867 SHA512 c843e3b1c1e780b5431e80afb4325ff9b901d0143e12cde1dbf47eb5c48077f2de801fd6c34aa989c44d6b68edf1c3552e70df387da3f60f8f3fda8c2a49d655
DIST Kokua_RLV_6_0_1_44647_x86_64.tar.bz2 149058489 BLAKE2B fab36f47485bee3d748f84f078ee768695bc42590e35dd5be6f07312983d5b33d060a832694f279f66f28026b70eed38ff2d5d60eab6121c53341d423f4ba354 SHA512 26ed007924898ab035ac7eb3efd4ffa297978dcb17858db8aa9e10c41c39c77faa8bc9df6271dd29a79ff7c9c47f21b705c0f5b1a0084f3cc053b3f96a71be4f
DIST Kokua_RLV_6_0_1_44731_x86_64.tar.bz2 149069611 BLAKE2B 216db673856424fdd37ded0efb799bc7709932d5d33e8c6e96fd3c552bc565e8045100b8804086cbb8c4bf2c6cd6e2ded80f745ecf1e790c0d5a8cb2233faba0 SHA512 054298302431e16fdeae92322efa9662ba81796e3f6343b03cd77a42c95b5f6b02b35c8baed94dc9d4055908accd85a52755af17316c296f74471e5a43c33c58
DIST Kokua_RLV_6_0_1_44856_x86_64.tar.bz2 176524928 BLAKE2B 99cadd62b2360381eed40377c98a35b703c5a99bc5b3b783ff0874ca330d9711370832e6a50886e0ae929789b3cbbc1190b3b16b8f4413d852d1db4ce438cb7b SHA512 1a828d2d8ea9a5118766384f4af426570f6f1ad6a06268b017e3f89af5dafa118e01dd8435c2ac054cdb4e3e794ed307dc9ce1848af224675963697d6ed23b10
DIST Kokua_RLV_6_1_0_45241_x86_64.tar.bz2 160352033 BLAKE2B 28c229aee3c5156de429c9ffd2e37a7c316e2e26f973016d614546292a0b13d36f6b15f3f6c5034c212a6101f2d2bf45591e83204c5d36ca0e692e8967cf12a3 SHA512 dc801b618bdfcd7d38220863a805d2b341e82b96a2ed87626760cd69b5418071616f505ee3d9d04f85f793d03430b6b7d85d90cbfe25c2e2601d6c21b1526160
+DIST Kokua_RLV_6_2_0_45420_x86_64.tar.bz2 165966125 BLAKE2B 3afbb6c935744b61d7d1159137728d1ba4f1398ed795290365d23430e6ac3958f0709fd021d368d1330d35515df321367517a77dd1cb572563a36eab4670059f SHA512 4f1266c0283f656b1da789553f1d6fe3daa22a00d09c2b4e440e8302ffd2a5c229c7a8b9fb317d7a1ca4d61cf69d81c2428f229c9a42afe2fcfb163f3a3e108e
EBUILD kokua-bin-6.0.1-r3.ebuild 1730 BLAKE2B 7321620a5e96a1f07840ed3511cfe8c477ca7497bfdb5e530b3ed45bb5a6b2b3051b8e9b64f89fa57a660b820ebeadf3a862c869ae3bc2933996658204a6a97f SHA512 a59e36395d2d7e0c7222244d876512f57d6d759ca26decfebfd204c9442c9b079582573b94d1bc4b96a48baa35bbe8d90714460c1e469a2cbedcc5df05e1191e
EBUILD kokua-bin-6.0.1-r4.ebuild 1730 BLAKE2B 7400bb065ccac3d1eb7ce602df989525af0bb1072ec9627459f1479b8d9d5187ada0d8b7c239b7cae8adf1ec7429c4622c50409815ccb99bcdbd05f31b85e3de SHA512 264885062f298225d8de0b47199df4b3e58a2435aa4b8355babb29f6a08bb70242f12efed24ca53db629837b9ed72524feb38414bbc17e642cf8af359c556f81
EBUILD kokua-bin-6.0.1-r5.ebuild 1790 BLAKE2B b9713d61fb7c468b2fdf8a478e3a485002e4b6696359f3aa5292f78b2d79f7bd8440b98a5279de9161a935add532e7f5a62ded18f89e281ecc3ad69329390ed9 SHA512 8817ff78266456828005a0ddd982e308922b4db44eef337b375631490638970ae7355520131cbc216957ef7845ca8fa6be647f740353435cc5b7d536a7500a13
EBUILD kokua-bin-6.0.1-r6.ebuild 1790 BLAKE2B 74e7c0c44a7878c62f9a409667e7bb2b87638b6664cdb86718ad144a87a03c9de87fc7dedf752933db206d1fff717f0e5eb9dca975257b8eff83e5db9384bd66 SHA512 88c4ad00b9305bd426b13402f4042254a262637ee6087968e18561df128bd041a0ef2df02e8d8187675484bdc5f85de5a1149face4bed854361a1a267545641d
EBUILD kokua-bin-6.0.1-r7.ebuild 1790 BLAKE2B 561e1b12dfd269c0a9505783cf6fba86fecc88f80b16f67dac2a138827da738943ad9b1e3f4e43356a528b3e22f5ab7062848a2f736a2068f8c72116a7b49391 SHA512 d03b1c56ccd0b20bb42ddfc42acbb6ad79a945d95adadafa8141055f8f2267e24f210aa410336389f70b948381d98b29f3cbad3fa73dbff120000e87166453ae
EBUILD kokua-bin-6.1.0.ebuild 2084 BLAKE2B 097dd6ffb2a6180cd6a436c455b452cbf544cfb5b938328a8888143e493f3d0ee263bc50aaf6e8e080775ff386258f1f37c895d3d1c1022feb1c03f8485c2946 SHA512 39df290aea0220c62fba8d5293b85d56a0644594ac6abe166281df5b834840ab17212e22af4065fe364320c6dca3210522db1391f91ef19d07bc95c3cc92c65d
+EBUILD kokua-bin-6.2.0.ebuild 2084 BLAKE2B 622109163e546082c257d868295410e69e74ce76321e36ad62896bbcff9ff16458ecd2838ee5eedc4981093ff0747ef5357489ae5821f2bbd5f4d94d0fb2d75f SHA512 c0345c12983d4891da9fa6b6c48069c4b569884488029afe5c784535a6be5a83faedb1f3966c438f26074b40e93e3c9075ffc4c6120fbcf0eae1b029469e2440
diff --git a/games-simulation/kokua-bin/kokua-bin-6.2.0.ebuild b/games-simulation/kokua-bin/kokua-bin-6.2.0.ebuild
new file mode 100644
index 0000000..e7094bd
--- /dev/null
+++ b/games-simulation/kokua-bin/kokua-bin-6.2.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils versionator
+
+# check: https://sourceforge.net/projects/kokua.team-purple.p/files/Kokua-SL/Linux64Bit/
+REVISION=45420
+
+DESCRIPTION="An open source metaverse viewer"
+HOMEPAGE="http://blog.kokuaviewer.org/"
+
+MY_PV=$(get_version_component_range 1-3 $(replace_all_version_separators '_'))
+MY_P="Kokua_RLV_${MY_PV}_${REVISION}_x86_64"
+MY_PFT="Kokua_FTRLV_${MY_PV}_${REVISION}_x86_64"
+SRC_URI="
+ ftrlv? ( mirror://sourceforge/kokua.team-purple.p/Kokua-SL/Linux64Bit/${MY_PFT}.tar.bz2 )
+ !ftrlv? ( mirror://sourceforge/kokua.team-purple.p/Kokua-SL/Linux64Bit/${MY_P}.tar.bz2 )"
+RESTRICT="mirror"
+
+LICENSE="GPL-2-with-Linden-Lab-FLOSS-exception"
+SLOT="0"
+KEYWORDS="~amd64 -*"
+IUSE="fmod ftrlv"
+
+INST_DIR="opt/kokua-bin"
+QA_PREBUILT="${INST_DIR}/*"
+
+RDEPEND="
+ sys-libs/glibc
+ sys-apps/dbus
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXinerama
+ dev-libs/libgcrypt
+ dev-libs/libgpg-error
+ dev-libs/openssl
+ dev-libs/boost
+ media-libs/freetype
+ media-libs/libogg
+ media-libs/libpng:1.2
+ media-libs/libsdl
+ media-libs/libvorbis
+ media-libs/gstreamer
+ media-plugins/gst-plugins-meta
+ fmod? ( media-libs/fmod )
+ net-libs/gnutls
+ net-misc/curl
+ net-dns/c-ares
+ sys-libs/zlib
+ virtual/glu
+ virtual/opengl
+"
+DEPEND="${RDEPEND}
+ app-admin/chrpath
+"
+
+src_unpack() {
+ default
+ if use ftrlv ; then
+ mv ${WORKDIR}/${MY_PFT} ${WORKDIR}/${P} || die
+ else
+ mv ${WORKDIR}/${MY_P} ${WORKDIR}/${P} || die
+ fi
+}
+
+src_prepare() {
+ rm lib/libpng12.so* lib/libSDL-1.2.so.0* || die
+ # shouldn't need to null RPATH with chrpath - but scanelf
+ # reports 'Security problem NULL DT_RPATH' otherwise
+ chrpath -r '' lib/lib32/libalut.so.0.0.0
+ scanelf -Xr lib/lib32/libalut.so.0.0.0
+ eapply_user
+}
+
+src_install() {
+ mkdir -p "${D}/${INST_DIR}/"
+ cp -a . "${D}/${INST_DIR}/" || die
+ dobin "${FILESDIR}/kokua"
+
+ insinto /etc/revdep-rebuild
+ doins "${FILESDIR}"/71${PN}
+
+ make_desktop_entry /usr/bin/kokua "Kokua Viewer (bin)" /${INST_DIR}/kokua_icon.png
+}